Bulk create items
curl --request POST \
--url https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"items": [
{
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"annotations": {
"f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": true
}
},
"evaluator_results": {
"f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": true,
"version_number": 2
}
}
}
]
}
'import requests
url = "https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items"
payload = { "items": [
{
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"annotations": { "f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": True
} },
"evaluator_results": { "f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": True,
"version_number": 2
} }
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"item_ids": [
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
],
"count": 123,
"new_item_ids": [
"<string>"
],
"existing_item_ids": [
"<string>"
],
"annotation_job_id": "<string>",
"evaluator_result_count": 123,
"evaluator_run_job_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Annotation tasks
Bulk create items
Bulk-create annotation items in a task, optionally seeding human annotations
POST
/
annotation-tasks
/
{task_uuid}
/
items
Bulk create items
curl --request POST \
--url https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"items": [
{
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"annotations": {
"f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": true
}
},
"evaluator_results": {
"f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": true,
"version_number": 2
}
}
}
]
}
'import requests
url = "https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items"
payload = { "items": [
{
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"annotations": { "f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": True
} },
"evaluator_results": { "f47ac10b-58cc-4372-a567-0e02b2c3d479": {
"reasoning": "meets the bar",
"value": True,
"version_number": 2
} }
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"item_ids": [
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
],
"count": 123,
"new_item_ids": [
"<string>"
],
"existing_item_ids": [
"<string>"
],
"annotation_job_id": "<string>",
"evaluator_result_count": 123,
"evaluator_run_job_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
Annotation task to act on
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
Response
Successful Response
IDs of every item the request resolved to, in request order
Example:
["f47ac10b-58cc-4372-a567-0e02b2c3d479"]
How many items the request resolved to
IDs of the items that were newly created
IDs of items that already existed by name and were reused
ID of the labelling job that holds the annotations you provided, present only when you send annotations with the items
How many evaluator scores were stored, present only when you send evaluator_results with the items
ID of the evaluator-run job that holds the scores you provided, present only when you send evaluator_results with the items